Subject: Re: bug#65187: 29.1; right edge of wide image can not be displayed in image-mode

From: Eli Zaretskii <[email-masked]>
Date: Mon, 14 Aug 2023 14:51:04 +0300

> From: Michael Heerdegen <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Mon, 14 Aug 2023 02:37:01 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > I see no bug here.  What am I missing?
> 
> I don't know, I only wanted to help to reproduce the recipe.
> 
> Though, C-h k C-e says "Scroll horizontally to the right edge of the
> image in the current window.".  That suggests to me that the
> right edge would be made visible.

It _is_ made visible, but if the portion of the image that exceeds the
window's width is small enough, the result is that the few extra
pixels are clipped, but from the display engine's POV we are "at the
right edge".  IOW, the horizontal scrolling in Emacs works on the
column granularity, not on pixel granularity.

This is not a bug, so I'm closing it.